# -----------------------------
# DigiTech RP-Series Patch Editor
# Bruce James 
# Copyright (c) 1997 - 2003
# -----------------------------



# -----------------------------
# Description:
#
# Splash shows the Splash Screen/About Box
# 
# -----------------------------

namespace eval Splash {

  proc Show { { ShowOK 1 } } {

    catch {destroy .splash}

    toplevel .splash
    if { $ShowOK } {
      wm title .splash "RPEdit Patch Editor"
      wm iconname .splash "RPEdit"
      wm resizable .splash 0 0
      wm transient .splash .
    } else {
      wm overrideredirect .splash 1
    }
    wm geometry .splash +[expr [winfo screenwidth .]/2 - 200]+[expr [winfo screenheight .]/2 - 160]

    frame .splash.f -bd 0
    pack .splash.f -side top

    canvas .splash.f.c -width 396 -height 324 -background #000050 -borderwidth 0 -highlightthickness 0
    pack .splash.f.c -expand yes -fill both
    .splash.f.c create rectangle 0 0 395 323 -width 1

    set Font {Arial 30 bold italic}
    .splash.f.c create text 193 0 \
      -font $Font -fill tan -anchor n \
      -text "RPEdit"
    set Font {Arial 8 bold}
    .splash.f.c create text 193 50 \
      -font $Font -fill tan -anchor n -justify center \
      -text "Patch Editor for the 2120-VGS, RP-21D, JM-150/250, \nRP-20, RP-12, RP-10, Valve-Fx"
    set Font {Times 8 normal}
    .splash.f.c create text 10 200 \
      -font $Font -fill white -anchor nw -justify left \
      -text "Version [::App::Member Version]\n[::App::Member Date]"
    set Font {Helvetica 8 normal}
    .splash.f.c create text 10 245 \
      -font $Font -fill white -anchor nw -justify left \
      -text "By Bruce James\nCopyright  1997 - 2003\nrpedit@mail.netmails.net\nhttp://rpedit.iscool.net"
    set Font {Helvetica 7 normal}
    .splash.f.c create text 10 305 \
      -font $Font -fill white -anchor nw -justify left \
      -text "RP-20 image courtesy of DigiTech"
    update

    ::Cursor::Set 1

    image create photo splash -file [file join [::App::Member ImagesDir] Misc splash.gif] -format gif
    .splash.f.c create image 0 0 -anchor nw -image splash -tags Splash
    .splash.f.c lower Splash

    if { $ShowOK } {
      set HideCommand "destroy .splash"
      button .splash.f.b -width 8 -state disabled -text OK -command $HideCommand
      .splash.f.c create window 350 300 -window .splash.f.b
      bind .splash <Escape> $HideCommand
    }

    update

    if { [winfo exists .splash] } {
      grab set .splash
      if { $ShowOK } {
        .splash.f.b configure -state normal
        focus .splash.f.b
      }
    }

    ::Cursor::Set 0
  }

}
